Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.io.pof.reflect
Class PofArray

`java.lang.Object
com.tangosol.util.Base
com.tangosol.util.BitHelper
com.tangosol.util.ExternalizableHelper
com.tangosol.io.pof.reflect.AbstractPofValue
com.tangosol.io.pof.reflect.ComplexPofValue
com.tangosol.io.pof.reflect.PofArray`

All Implemented Interfaces:
  PofValue

Direct Known Subclasses:
  PofCollection, PofUniformArray

      public class PofArray

extends ComplexPofValue

PofArray is a `PofValue` implementation for arrays.

Since:
  Coherence 3.5
Author:
  as 2009.03.06

Field Summary

Fields inherited from class com.tangosol.io.pof.reflect.AbstractPofValue
`m_nType, m_oValue`

Constructor Summary
`PofArray(PofValue valueParent, ReadBuffer bufValue, PofContext ctx, int of, int nType, int ofChildren, int cElements)` Construct a PofArray instance wrapping the supplied buffer.

Method Summary
`protected PofValue` | `findChildInternal(int nIndex, int ofStart, int iStart)` Find the child value with the specified index.
`int` | `getLength()` Return the length of this array.

Methods inherited from class com.tangosol.io.pof.reflect.ComplexPofValue
`extractChild, findChild, getChild, getChildrenIterator, getLastChildIndex, getUniformElementType, isUniformCollection, setUniformElementType, skipChild`

Methods inherited from class com.tangosol.io.pof.reflect.AbstractPofValue
`applyChanges, getChanges, getDirtyBytesCount, getOffset, getOriginalBuffer, getParent, getPofContext, getPropertyIndex, getRoot, getSerializedValue, getSize, getTypeId, getValue, getValue, getValue, getValueBuffer, incrementDirtyBytesCount, incrementDirtyValuesCount, isDirty, isRoot, isUniformEncoded, setDecorations, setDirty, setOriginalBuffer, setUniformEncoded, setValue`

Methods inherited from class com.tangosol.util.BitHelper
`countBits, countBits, countBits, indexOfLSB, indexOfLSB, indexOfLSB, indexOfMSB, indexOfMSB, indexOfMSB, rotateLeft, rotateLeft, rotateLeft, rotateRight, rotateRight, rotateRight, toBitString, toBitString, toBitString`

Constructor Detail

### PofArray

    public PofArray(PofValue valueParent,
                    ReadBuffer bufValue,
                    PofContext ctx,
                    int of,
                    int nType,
                    int ofChildren,
                    int cElements)

  Construct a PofArray instance wrapping the supplied buffer.
  Parameters:
    `valueParent` - parent value within the POF stream
    `bufValue` - buffer containing POF representation of this value
    `ctx` - POF context to use when reading or writing properties
    `of` - offset of this value from the beginning of POF stream
    `nType` - POF type identifier for this value
    `ofChildren` - offset of the first child element within this value
    `cElements` - the length of this array

Method Detail

### getLength

    public int getLength()

  Return the length of this array.
  Returns:
    the length of this array

### findChildInternal

    protected PofValue findChildInternal(int nIndex,
                                         int ofStart,
                                         int iStart)

  Find the child value with the specified index.
  Specified by:
    `findChildInternal` in class `ComplexPofValue`
  Parameters:
    `nIndex` - index of the child value to find
    `ofStart` - offset within the parent buffer to start search from
    `iStart` - index of the child value to start search from
  Returns:
    the child value

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.